Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Interfaces/IModel.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Interfaces/IModel.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Interfaces/IModel.cs	(revision 14929)
@@ -21,5 +21,8 @@
 
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
+
 namespace HeuristicLab.Problems.DataAnalysis.Trading {
+  [StorableType("462e1703-bb5b-4df9-b5fc-4bd1f7ffcfd9")]
   public interface IModel : IDataAnalysisModel {
     IEnumerable<double> GetSignals(IDataset dataset, IEnumerable<int> rows);
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Interfaces/IProblem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Interfaces/IProblem.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Interfaces/IProblem.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis.Trading {
+  [StorableType("31064a12-8c67-473a-9ee9-b12562d9d0f8")]
   public interface IProblem : IDataAnalysisProblem<IProblemData> {
   }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Interfaces/IProblemData.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Interfaces/IProblemData.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Interfaces/IProblemData.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis.Trading {
+  [StorableType("41ba0455-9c3f-4dfa-8bee-7ef0f32444f4")]
   public interface IProblemData : IDataAnalysisProblemData {
     string PriceChangeVariable { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Interfaces/ISolution.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Interfaces/ISolution.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Interfaces/ISolution.cs	(revision 14929)
@@ -21,5 +21,8 @@
 
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
+
 namespace HeuristicLab.Problems.DataAnalysis.Trading {
+  [StorableType("07140cd9-fec4-4bac-9432-d64c2968256f")]
   public interface ISolution : IDataAnalysisSolution {
     new IModel Model { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Interfaces/IEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Interfaces/IEvaluator.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Interfaces/IEvaluator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.DataAnalysis.Trading.Symbolic {
+  [StorableType("f27c62ef-c9fd-41d5-90e2-3d59e23b71e1")]
   public interface IEvaluator : ISymbolicDataAnalysisEvaluator<IProblemData> {
   }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Interfaces/IModel.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Interfaces/IModel.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Interfaces/IModel.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.DataAnalysis.Trading.Symbolic {
+  [StorableType("96bc1434-3c9a-4ceb-a283-5565b9e99fdc")]
   public interface IModel : Trading.IModel, ISymbolicDataAnalysisModel {
   }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Interfaces/ISingleObjectiveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Interfaces/ISingleObjectiveEvaluator.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Interfaces/ISingleObjectiveEvaluator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.DataAnalysis.Trading.Symbolic {
+  [StorableType("e38bfcab-fd68-4841-a56d-acd14faed5e8")]
   public interface ISingleObjectiveEvaluator : IEvaluator, ISymbolicDataAnalysisSingleObjectiveEvaluator<IProblemData> {
   }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Interfaces/ISolution.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Interfaces/ISolution.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Interfaces/ISolution.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.DataAnalysis.Trading.Symbolic {
+  [StorableType("f90a6f24-2e01-4e3f-bf6c-bbdaeb80eace")]
   public interface ISolution : Trading.ISolution, ISymbolicDataAnalysisSolution {
     new IModel Model { get; }
